import { isUndefined as o } from "lodash-unified";
import { ref as m, watch as u } from "vue";
const n = (e) => Array.isArray(e) ? e[0]?.value : e, c = (e) => {
  const r = m(n(e.timezone));
  return u(
    () => e.timezone,
    (t, i) => {
      o(i) && (r.value = n(t));
    }
  ), {
    currentTimezone: r
  };
};
export {
  c as useDateTimezone
};
